stages:
  - build

variables:
  version: "v2.15.3_unofficial_50"
  GRADLE_OPTS: -Dorg.gradle.daemon=false

build:
  image: gradle:7.4
  stage: build
  script:
    - ./build.sh
  parallel:
    matrix:
      - TARGET:
          - aarch64-unknown-linux-gnu
          - arm-unknown-linux-gnueabi
          - arm-unknown-linux-gnueabihf
          - armv7-unknown-linux-gnueabihf
          - x86_64-unknown-linux-gnu
          - x86_64-unknown-linux-musl

build darwin:
  stage: build
  tags: [darwin-builder]
  script:
    - ./build.sh
  parallel:
    matrix:
      - TARGET:
        - x86_64-apple-darwin
        - aarch64-apple-darwin
